Name: gtksourceview3
Version: 3.24.9
Release: 5
Summary: Source code editing widget
License: LGPLv2+
URL: https://wiki.gnome.org/Projects/GtkSourceView
Source0: https://download.gnome.org/sources/gtksourceview/3.24/gtksourceview-%{version}.tar.xz

BuildRequires: pkgconfig(gdk-pixbuf-2.0) pkgconfig(gobject-introspection-1.0) pkgconfig(glib-2.0) >= 2.48
BuildRequires: pkgconfig(gtk+-3.0) >= 3.20 pkgconfig(libxml-2.0) pkgconfig(pango) gettext itstool vala

Requires: glib2%{?_isa} >= 2.48 gtk3%{?_isa} >= 3.20

%description
GtkSourceView is a GNOME library that extends GtkTextView, the standard GTK+
widget for multiline text editing. GtkSourceView adds support for syntax
highlighting, undo/redo, file loading and saving, search and replace, a
completion system, printing, displaying line numbers, and other features
typical of a source code editor.

This package contains version 3 of GtkSourceView.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

Provides: %{name}-tests = %{version}-%{release}
Obsoletes: %{name}-tests

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n gtksourceview-%{version}

%build
%configure --disable-gtk-doc --disable-static --enable-installed-tests
%make_build

%install
%make_install

%delete_la

%find_lang gtksourceview-3.0

%ldconfig_scriptlets

%files -f gtksourceview-3.0.lang
%doc README AUTHORS NEWS MAINTAINERS
%license COPYING
%{_datadir}/gtksourceview-3.0
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GtkSource-3.0.typelib

%files devel
%{_includedir}/gtksourceview-3.0
%{_datadir}/gtk-doc/html/*
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_datadir}/gir-1.0/GtkSource-3.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gtksourceview-3.0.deps
%{_datadir}/vala/vapi/gtksourceview-3.0.vapi
%{_datadir}/installed-tests/gtksourceview-3.0/
%{_libexecdir}/installed-tests/gtksourceview-3.0/

%changelog
* Wed Dec 04 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.24.9-5
- Package init
